## imagevis3d 2.0.1

=== Tuvok/CMakeLists.txt ===
# This is a CMake file for building/including Tuvok into your own projects.
# It is meant only as a guide; it sets up only basic options which are specific
# to Tuvok.  If you need additional settings, it's recommended that you create
# an external file and use CMake's `include' directive to include this file
# inline.
# Still, there are some mechanisms setup to make that task easy.
#   . Use TUVOK_EXTERNAL_INCLUDES to setup a list of external include
#     directories.  This is useful if you want to, say, replace Tuvok's
#     internal copy of GLEW/boost with your own.  This directory gets included
#     *before* Tuvok's own directories.
#   . Set TUVOK_IGNORE to a CMake-list of files one doesn't want to use/compile
#     in their project.

cmake_minimum_required(VERSION 2.6)
if(COMMAND CMAKE_POLICY)
  cmake_policy(VERSION 2.6)
endif(COMMAND CMAKE_POLICY)

project(tuvok)

include_directories(. ${TUVOK_EXTERNAL_INCLUDES} Basics Controller DebugOut IO
                    Renderer Scripting 3rdParty/GLEW IO/3rdParty/boost)

# Tuvok will not build as a shared lib.
set(BUILD_SHARED_LIBS OFF)

set(TUVOK_LIBRARY tuvok CACHE FILEPATH "Tuvok library name.")
set(TUVOK_INCLUDE
    "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/3rdParty;${CMAKE_CURRENT_SOURCE_DIR}/IO/3rdParty/boost"
    CACHE STRING "Tuvok include directory (Tuvok's source tree root)" FORCE)

set(TUVOK_DEFINES -DTUVOK_NO_IO -DTUVOK_NO_QT CACHE STRING
    "Defines needed for building Tuvok in most projects.")

# Disable IO and Qt within Tuvok.
add_definitions(${TUVOK_DEFINES})

# Sets the variable TUVOK_SRCS.
include(.tuvok_srcs)

if(DEFINED TUVOK_IGNORE)
  list(REMOVE_ITEM TUVOK_SRCS TUVOK_IGNORE)
endif(DEFINED TUVOK_IGNORE)

add_library(${TUVOK_LIBRARY} ${TUVOK_SRCS})
# We try to read shaders from the bundle on Macs, so we need CoreFoundation.
if(APPLE)
  target_link_libraries(${TUVOK_LIBRARY} "-framework CoreFoundation")
endif(APPLE)
target_link_libraries(${TUVOK_LIBRARY} ${GL_LIBRARY})

=== debian/changelog ===
imagevis3d (2.0.1-5) unstable; urgency=low

  * Use my @d.o alias
  * Fix compilation with gcc 4.7. Closes: #667208 
  * Fix potential issue with libtiff5
  * Use hardening flags for compilation
  * Bump Std-Vers to 3.9.3, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 May 2012 15:59:38 +0200

imagevis3d (2.0.1-4) unstable; urgency=low

  * Fix compilation errors on hurd/kFreeBSD.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 20 Dec 2011 14:00:38 +0100

imagevis3d (2.0.1-3) unstable; urgency=low

  * Fix compilation errors on kFreeBSD.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 15 Dec 2011 09:38:21 +0100

imagevis3d (2.0.1-2) unstable; urgency=low

  * Fix compilation errors.
  * Add more patches from upstream to fix warnings.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 13 Dec 2011 18:53:44 +0100

imagevis3d (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #651470)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 09 Dec 2011 12:04:51 +0100

=== debian/control ===
Source: imagevis3d
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), libqt4-dev, libqt4-opengl-dev, qt4-qmake, libtclap-dev, libglew-dev, libz-dev,
 libbz2-dev, libjpeg-dev, libtiff5-dev | libtiff-dev, libboost-all-dev
Standards-Version: 3.9.3
Homepage: http://www.imagevis3d.com
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/imagevis3d/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/imagevis3d/trunk/

Package: imagevis3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: desktop volume rendering application for large data
 ImageVis3D is a volume rendering application specifically designed to render
 large data.  This is achieved by splitting the dataset into multiple levels of
 detail (LoD), with each level itself decomposed into multiple bricks (atomic
 rendering primitive).  Interaction occurs at the coarsest LoD, which can be
 rendered instantaneously on almost all modern systems.  After a configurable
 delay, ImageVis3D will successively render finer levels of detail, until the
 data are visible at their native resolution.
 .
 Development of ImageVis3D is sponsored by the NIH/NCRR Center for Integrative
 Biomedical Computing (CIBC), and the DOE Visualization And Analytics Center for
 Enabling Technologies (VACET).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildflags.mk

%:
	dh $@  --parallel

override_dh_auto_configure:
	dh_auto_configure -- QMAKE_CXXFLAGS="-DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="$(CFLAGS)" QMAKE_LDFLAGS="$(LDFLAGS)"

override_dh_install:
	# rename to match man page:
	cp -a Build/ImageVis3D Build/imagevis3d 
	dh_install Build/imagevis3d usr/bin
	dh_install CmdLineConverter/Build/uvfconvert usr/bin
	dh_install Tuvok/Shaders/* usr/share/imagevis3d/shaders
	dh_install # qmake install rules do nothing ??

override_dh_installman:
	dh_installman doc/imagevis3d.1
	dh_installman doc/uvfconvert.1

get-orig-source:
	./debian/get-orig-source

## imagevis3d 3.0.0

=== Tuvok/CMakeLists.txt ===
--- 
+++ 
@@ -18,18 +18,31 @@
 
 project(tuvok)
 
+find_package(Qt4 REQUIRED)
+include(${QT_USE_FILE})
+include_directories(${QT_INCLUDE_DIR})
+
 include_directories(. ${TUVOK_EXTERNAL_INCLUDES} Basics Controller DebugOut IO
-                    Renderer Scripting 3rdParty/GLEW IO/3rdParty/boost)
+                    Renderer Scripting 3rdParty/GLEW IO/3rdParty/boost
+                    IO/exception IO/expressions
+                    ${QT_INCLUDE_DIR})
 
 # Tuvok will not build as a shared lib.
 set(BUILD_SHARED_LIBS OFF)
 
 set(TUVOK_LIBRARY tuvok CACHE FILEPATH "Tuvok library name.")
 set(TUVOK_INCLUDE
-    "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/3rdParty;${CMAKE_CURRENT_SOURCE_DIR}/IO/3rdParty/boost"
+    "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/3rdParty;${CMAKE_CURRENT_SOURCE_DIR}/IO/3rdParty/boost;${QT_INCLUDE_DIR}"
     CACHE STRING "Tuvok include directory (Tuvok's source tree root)" FORCE)
+# fPIC is required for libraries.
+if(${CMAKE_COMPILER_IS_GNUCXX})
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+endif(${CMAKE_COMPILER_IS_GNUCXX})
 
-set(TUVOK_DEFINES -DTUVOK_NO_IO -DTUVOK_NO_QT CACHE STRING
+# Disable Qt as well.  Needed for now... working on it, slowly.
+#set(TUVOK_DEFINES -DTUVOK_NO_IO -DTUVOK_NO_QT CACHE STRING
+set(TUVOK_DEFINES -DTUVOK_NO_IO CACHE STRING
     "Defines needed for building Tuvok in most projects.")
 
 # Disable IO and Qt within Tuvok.
@@ -47,4 +60,18 @@
 if(APPLE)
   target_link_libraries(${TUVOK_LIBRARY} "-framework CoreFoundation")
 endif(APPLE)
+target_link_libraries(${TUVOK_LIBRARY} ${QT_LIBRARIES})
 target_link_libraries(${TUVOK_LIBRARY} ${GL_LIBRARY})
+
+install(DIRECTORY Shaders
+        DESTINATION ${CMAKE_INSTALL_DIR}/
+        FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+        DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
+                              GROUP_READ
+                              WORLD_READ WORLD_EXECUTE)
+file(COPY Shaders
+     DESTINATION ${CMAKE_BINARY_DIR}/
+     FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+     DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
+                           GROUP_READ
+                           WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
imagevis3d (3.0.0-3build1) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:21:59 +0000

imagevis3d (3.0.0-3) unstable; urgency=low

  * Use internal JPEG implementation. Closes: #688614
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 31 Dec 2013 10:05:40 +0100

imagevis3d (3.0.0-2) unstable; urgency=low

  * fix kfreebsd compilation. Closes: #697015
  * fix compilation with missing jpeg symbol. Closes: #713653
  * Fix openmp compilation. Closes: #72193
  * Fix typos reported by lintian
  * Requires a g++ compiler post 4.6 release. Closes: #693143

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Sep 2013 17:01:08 +0200

imagevis3d (3.0.0-1) unstable; urgency=low

  * New upstream: 3.0.0
    - New Grid Leaper renderer
    - Added limited support for MRC files
  * Refreshed systemlua.patch

 -- Mathieu Malaterre <malat@debian.org>  Sun, 28 Oct 2012 10:33:10 +0100

imagevis3d (2.1.1-1) unstable; urgency=low

  * New upstream: 2.1.1
    - Added support for GeomView files.
   Remove patches, applied upstream:
    - missingsharedlibs.patch 
    - tuvok_details.patch
    - maxpath.patch
    - overflow.patch
    - warning.patch
    - manual.patch
    - gcc47.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Sep 2012 16:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: imagevis3d
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 8), libqt4-dev, libqt4-opengl-dev, qt4-qmake, libtclap-dev, libglew-dev, libz-dev,
- libbz2-dev, libjpeg-dev, libtiff5-dev | libtiff-dev, libboost-all-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev, qt4-qmake, libtclap-dev, libglew-dev, libz-dev,
+ libbz2-dev, libjpeg-dev, libtiff5-dev | libtiff-dev, libboost-all-dev, liblua5.2-dev, flex, bison, g++ (>= 4:4.6)
+Standards-Version: 3.9.5
 Homepage: http://www.imagevis3d.com
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/imagevis3d/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/imagevis3d/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/imagevis3d/trunk/
 
 Package: imagevis3d
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-
--include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@  --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- QMAKE_CXXFLAGS="-DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="$(CFLAGS)" QMAKE_LDFLAGS="$(LDFLAGS)"
+	dh_auto_configure -- QMAKE_CXXFLAGS="-fopenmp -DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="-fopenmp $(CFLAGS)" QMAKE_LDFLAGS="-fopenmp $(LDFLAGS)"
+
+override_dh_clean:
+	dh_clean Build/imagevis3d
+	dh_clean Tuvok/Build/libTuvok.a
+	# make sure to regen flex/bison stuff:
+	dh_clean Tuvok/IO/expressions/tvk-scan.lexer.cpp
 
 override_dh_install:
 	# rename to match man page:
@@ -22,4 +26,4 @@
 	dh_installman doc/uvfconvert.1
 
 get-orig-source:
-	./debian/get-orig-source
+	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
#http://www.sci.utah.edu/releases/imagevis3d_v([\d\.]+)/ImageVis3D-([\d\.]+)-src\.tar\.gz
http://www.sci.utah.edu/download/imagevis3d.html .*/ImageVis3D-([\d\.]+)-src\.tar\.gz

## imagevis3d 3.1.0

=== Tuvok/Basics/3rdParty/tclap/Makefile ===
# Makefile.in generated by automake 1.9.2 from Makefile.am.
# include/tclap/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/tclap
pkglibdir = $(libdir)/tclap
pkgincludedir = $(includedir)/tclap
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = include/tclap
DIST_COMMON = $(libtclapinclude_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ac_cxx_have_long_long.m4 \
	$(top_srcdir)/config/ac_cxx_have_sstream.m4 \
	$(top_srcdir)/config/ac_cxx_have_strstream.m4 \
	$(top_srcdir)/config/ac_cxx_namespaces.m4 \
	$(top_srcdir)/config/bb_enable_doxygen.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libtclapincludedir)"
libtclapincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libtclapinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal -I /home/tfogal/shigeru/share/aclocal
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tfogal/tmp/opt/tclap-1.2.0/config/missing --run tar
AUTOCONF = ${SHELL} /home/tfogal/tmp/opt/tclap-1.2.0/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tfogal/tmp/opt/tclap-1.2.0/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tfogal/tmp/opt/tclap-1.2.0/config/missing --run automake-1.9
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOC_FALSE = #
DOC_TRUE = 
DOT = YES
DOXYGEN = /usr/bin/doxygen
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
HAVE_GNU_COMPILERS_FALSE = #
HAVE_GNU_COMPILERS_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tfogal/tmp/opt/tclap-1.2.0/config/missing --run makeinfo
OBJEXT = o
PACKAGE = tclap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.2.0
ac_ct_CXX = g++
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tfogal/tmp/opt/tclap-1.2.0/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
libtclapincludedir = $(includedir)/tclap
libtclapinclude_HEADERS = \
			 CmdLineInterface.h \
			 ArgException.h \
			 CmdLine.h \
			 XorHandler.h \
			 MultiArg.h \
			 UnlabeledMultiArg.h \
			 ValueArg.h \
			 UnlabeledValueArg.h \
			 Visitor.h Arg.h \
			 HelpVisitor.h \
			 SwitchArg.h \
			 MultiSwitchArg.h \
			 VersionVisitor.h \
			 IgnoreRestVisitor.h \
			 CmdLineOutput.h \
			 StdOutput.h \
			 DocBookOutput.h \
			 ZshCompletionOutput.h \
			 OptionalUnlabeledTracker.h \
			 Constraint.h \
			 ValuesConstraint.h \
			 ArgTraits.h \
			 StandardTraits.h

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  include/tclap/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  include/tclap/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-libtclapincludeHEADERS: $(libtclapinclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(libtclapincludedir)" || $(mkdir_p) "$(DESTDIR)$(libtclapincludedir)"
	@list='$(libtclapinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(libtclapincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libtclapincludedir)/$$f'"; \
	  $(libtclapincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libtclapincludedir)/$$f"; \
	done

uninstall-libtclapincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libtclapinclude_HEADERS)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(libtclapincludedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(libtclapincludedir)/$$f"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(libtclapincludedir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-libtclapincludeHEADERS

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-libtclapincludeHEADERS

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	ctags distclean distclean-generic distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-libtclapincludeHEADERS \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
	uninstall uninstall-am uninstall-info-am \
	uninstall-libtclapincludeHEADERS

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
imagevis3d (3.1.0-7) unstable; urgency=medium

  * d/watch: Do not report alpha version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 15:16:15 +0200

imagevis3d (3.1.0-6) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: s/QMAKE_LDFLAGS/QMAKE_LFLAGS/
    Closes: #876503

 -- Andreas Tille <tille@debian.org>  Sun, 24 Sep 2017 08:51:44 +0200

imagevis3d (3.1.0-5) unstable; urgency=medium

  * Fix FTBFS with Boost 1.61 (Thanks for the patch to Graham Inggs)
    Closes: #835416
  * cme fix dpkg-control
  * Remove Mathieu Malaterre from Uploaders - add myself instead just
    to make sure there is any Uploader
  * debhelper 10
  * d/watch: version=4
  * do not Build-Depend from g++
  * hardening=+all
  * DEP5
  * Fix desktop file

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 20:01:37 +0100

imagevis3d (3.1.0-4) unstable; urgency=low

  * Handle obsolete symbol in liblz4. Closes: #763246

 -- Mathieu Malaterre <malat@debian.org>  Tue, 30 Sep 2014 11:05:09 +0200

imagevis3d (3.1.0-3) unstable; urgency=low

  * Fix compilation on sparc. Closes: #751374

 -- Mathieu Malaterre <malat@debian.org>  Mon, 16 Jun 2014 12:34:10 +0200

imagevis3d (3.1.0-2) unstable; urgency=low

  * Make sure to use recent lz4. Closes: #751227
  * Really remove all references to 3rdParty
  * Use system installed lzma

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Jun 2014 12:30:54 +0200

imagevis3d (3.1.0-1) unstable; urgency=low

  * New upstream
  * Update debian patches (lua mostly)
  * Add new deps (lz4 + lzma)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Jun 2014 14:14:23 +0200

=== debian/control ===
Source: imagevis3d
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: bison,
               cxxtest,
               debhelper (>= 11~),
               flex,
               libboost-serialization-dev,
               libbz2-dev,
               libglew-dev,
               libjpeg-dev,
               liblua5.2-dev,
               liblz4-dev,
               liblzma-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libtclap-dev,
               libtiff5-dev | libtiff-dev,
               libz-dev,
               lzma-dev,
               qt4-qmake
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/imagevis3d
Vcs-Git: https://salsa.debian.org/med-team/imagevis3d.git
Homepage: http://www.imagevis3d.com

Package: imagevis3d
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: desktop volume rendering application for large data
 ImageVis3D is a volume rendering application specifically designed to render
 large data.  This is achieved by splitting the dataset into multiple levels of
 detail (LoD), with each level itself decomposed into multiple bricks (atomic
 rendering primitive).  Interaction occurs at the coarsest LoD, which can be
 rendered instantaneously on almost all modern systems.  After a configurable
 delay, ImageVis3D will successively render finer levels of detail, until the
 data are visible at their native resolution.
 .
 Development of ImageVis3D is sponsored by the NIH/NCRR Center for Integrative
 Biomedical Computing (CIBC), and the DOE Visualization And Analytics Center for
 Enabling Technologies (VACET).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- QMAKE_CXXFLAGS="-fopenmp -DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="-fopenmp $(CFLAGS)" QMAKE_LFLAGS="-fopenmp $(LDFLAGS)"

override_dh_clean:
	dh_clean Build/imagevis3d
	dh_clean Tuvok/Build/libTuvok.a
	# make sure to regen flex/bison stuff:
	dh_clean Tuvok/IO/expressions/tvk-scan.lexer.cpp
	# remove qt generated stuff
	dh_clean ImageVis3D/UI/AutoGen/*

override_dh_install:
	# rename to match man page:
	cp -a Build/ImageVis3D Build/imagevis3d 
	dh_install Build/imagevis3d usr/bin
	dh_install CmdLineConverter/Build/uvfconvert usr/bin
	dh_install Tuvok/Shaders/* usr/share/imagevis3d/shaders
	dh_install # qmake install rules do nothing ??

override_dh_installman:
	dh_installman doc/imagevis3d.1
	dh_installman doc/uvfconvert.1

=== debian/watch ===
version=4

# github does not lib submodule, you also need:
# https://github.com/SCIInstitute/Tuvok/archive/3.1.0.tar.gz
https://github.com/SCIInstitute/ImageVis3D/releases .*/archive/v*(\d[.\d]+)@ARCHIVE_EXT@
